<!DOCTYPE html>
<html lang="en">
<head>
    {% with custom_css="/documentation/css/callcenter-custom.css", title="Telefondienst", meta_description="Telefondienst", select2=true,semantic=true%}
    {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}

</head>
<body id="body" class="az-body">
    {% include 'snippets/pb-loader.tpl' %}
    <div>
        {% with
        show_logo=true,
        logo='/style-global/img/icons/callcenter.png',
        show_title=true,
        title= "Telefondienst",
        show_mobilelogo=true,
        mobilelogo = "/style-global/img/icons/callcenter.png",
        index_link = "/callcenter/index.html",
        show_help_icon=false,
        help_icon_permission="dashboard",
        show_news_icon=false,
        show_apps_menu_icon=true,
        show_profile_menu_icon=true
        %}
        {% include 'snippets/parametric/pb-header-menu.tpl' %}
        {% endwith %}
    </div>
    {% with
        show_search_input=true,
        button_2_text="delete",
        button_2_type="btn-outline-light",
        button_2_display=false,
        button_2_icon='<i class="typcn typcn-trash"></i>',
        button_1_text="new Document",
        button_1_type="btn-indigo",
        button_1_display=true,
        button_1_icon='<i class="typcn typcn-plus-outline tx-16"></i>',
        button_3_text="save",
        button_3_type="btn-indigo",
        button_3_display=false,
        button_3_icon='<i class="typcn typcn-tick-outline tx-16"></i>'
        %}
        {% include 'snippets/parametric/pb-page-menu.tpl' %}
        {% endwith %}
    <div class="az-content az-content-app az-content-with-right-column pd-b-0">
      <div class="container-fluid" id="contentContainer">
            <div class="az-content-left az-content-left-contacts show">
                {% include 'callcenter/snippets/list-view.tpl' %} 
            </div>
            <div class="content-left-action-menu-wrapper d-none d-md-block" id="leftActionMenu">
                <div class="content-left-action-menu-button">
                    <button class="btn btn-transparent" id="contentLeftToggleButton" > 
                         <i class="fas fa-angle-double-down fa-rotate-90"></i>
                    </button>
                </div>
            </div>

            <div id="azDocBody" class="az-content-body az-content-body-contacts">
                <!-- test for page menu snippet -->

                <!-- default screen -->
                <section class="py-5 pl-5">
                    <div class="container">
                        <div class="row align-items-center">
                            <div class="col-md-6">
                                <img src="/style-global/img/illustrations/callcenter-default.png" alt="Telefondienst" class="img-fluid" width="535px">
                            </div>
                            <div class="col-md-6">
                                <h6 class="font-weight-bold tx-indigo mb-20px">Information festhalten überall und jederzeit.</h6>
                                <h2 class="font-weight-bold mb-20px">Das Tool, um im Handumdrehen <br> Texte und Anrufprotokolle zu schreiben.
                                </h2>
                                <p class="text-muted mb-20px">Egal, ob Du schnelle Notizen machst oder detaillierte Statistiken erstellst, hier ist es einfach, Informationen zu dokumentieren und mit autorisierten Benutzern zu teilen.</p>
                                
                                <ul class="list-ckeck-soft mb-30px">
                                    <li>Erstellung von Statistiken und Nachverfolgung von Kundenfeedback</li>
                                    <li>Erfassen von Ideen, Protokollen, Gesprächen und Listen</li>
                                    <li>Einfache Bearbeitungs- und Freigabefunktionen für eine nahtlose Zusammenarbeit</li>

                                </ul>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <input type="hidden" id="document_id" value=""/>
            {% with
                title="Fragebogen",
                nav_1_id="pollButton",
                nav_1_icon='<i class=\"fa fa-poll tx-22\"></i>',
                nav_1_text="Fragebogen",
                nav_1_button_class='btn-outline-warning'
                %}
                {% include 'snippets/page-segments/content/content-right.tpl' %}
            {% endwith %}
        </div>

    </div> <!-- az-content -->
        
    {% include 'snippets/CopyRight.tpl' %}
    <!-- az-footer -->

<!-- history item snippit -->
<div id="history-item" style="display: None;">
    <li>
        <span class="font-weight-bold">[{history-type}]</span> von
        <span class="font-weight-bold"> [{history-creator}]</span>
        <span class="d-block float-md-right">[{history-time}]</span>
        <p>[{history-detail}]</p>
    </li>
</div>

{% with select2=true, bootstrapdatetimepicker=true, momentjs=true, select2=true, semantic=true%}
    {% include 'snippets/global-script-include.tpl' %}
{% endwith %}

{% with circuit="document-manager-editor-circuit" %}
    {% include 'snippets/framework-script.tpl' %}
{% endwith %}


<script>
    function toggleLeftColSize() {
        $(".az-content-left").toggleClass("content-left-colapse");
        $('.contacts-list-header, #document_list').toggleClass('d-md-none')
        $('.contacts-list-header-colapse').toggleClass('d-md-block')
        $(".fa-angle-double-down").toggleClass("fa-rotate-90 fa-rotate-270");
    }

    function showRightCol() {
        $('.content-right-content').addClass('show');
        $('#rightActionMenu').removeClass('d-none')
    }

    function hideRightCol() {
        $('.content-right-content').removeClass('show');
        $('#rightActionMenu').removeClass('d-none')
    }

    $('#contentLeftToggleButton').on('click', function (e) {
        toggleLeftColSize()
    })

    $('#pollButton').on('click', function (e) {
        e.preventDefault();
        showRightCol()
        //need to add some parameter to dynamically load the content for the right column
    });


    $('.content-right-resize').on('click', function (e) {
        e.preventDefault();
        let width = "25%"
        if ($('.content-right-content').css('flex-basis') == width) {
            width = '45%'
            if( !$(".az-content-left").hasClass("content-left-colapse")){
                toggleLeftColSize()
            }
        }
        $('.content-right-content').css({ 'flex-basis': `${width}` })

    })

    $('.content-right-colapse').on('click', function (e) {
        e.preventDefault();
        hideRightCol()
    })

    // display right column content (desktop) or toggle button (mobil) when detail area is visable
    $('#azContentBodyHide').on('click', function (e) {
        e.preventDefault();
        hideRightCol()
        if($(".az-content-left").hasClass("content-left-colapse")){
            toggleLeftColSize()
        }
    })
    $('#document_list, #button-new-document, [data-id="button-new-document"]').on('click', function (e) {
        e.preventDefault();
        hideRightCol()
        if (window.matchMedia('(min-width: 992px)').matches) {
            showRightCol()
        }
    })

</script>

</body>
</html>